summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-05-01 15:48:16 +0000
committerMichał Górny <mgorny@gentoo.org>2013-05-01 15:48:16 +0000
commiteef3ab3c7ef8ec6b0eeeb318118cc4496e37b818 (patch)
tree1cc4c2ffe583517ca82b28094fb218db9e7b644f /eclass/autotools-utils.eclass
parentFix build failure with automake 1.13, bug 467230. (diff)
downloadhistorical-eef3ab3c7ef8ec6b0eeeb318118cc4496e37b818.tar.gz
historical-eef3ab3c7ef8ec6b0eeeb318118cc4496e37b818.tar.bz2
historical-eef3ab3c7ef8ec6b0eeeb318118cc4496e37b818.zip
Inline src_test and allow passing arguments.
Diffstat (limited to 'eclass/autotools-utils.eclass')
-rw-r--r--eclass/autotools-utils.eclass8
1 files changed, 5 insertions, 3 deletions
diff --git a/eclass/autotools-utils.eclass b/eclass/autotools-utils.eclass
index a3a168e295c9..e6bf5265e0c0 100644
--- a/eclass/autotools-utils.eclass
+++ b/eclass/autotools-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.65 2013/04/05 14:54:48 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.66 2013/05/01 15:48:16 mgorny Exp $
# @ECLASS: autotools-utils.eclass
# @MAINTAINER:
@@ -540,7 +540,9 @@ autotools-utils_src_test() {
_check_build_dir
pushd "${BUILD_DIR}" > /dev/null || die
- # Run default src_test as defined in ebuild.sh
- default_src_test
+
+ # XXX: do we need to support other targets in autotools?
+ emake check "${@}" || die 'emake check failed.'
+
popd > /dev/null || die
}